<?php
 /*
    Project Name : WhiteTools Persian | Webmaster Tools
	Translate To Persian By Seyed AmirHossein Tavoosi.
	Blog : blog.tavousi.name
 */
$domain = strtolower(urldecode(_v($_GET, 'domain')));
//$domain = 'google.lt';
$sCaptcha = _v($_SESSION, 'captcha');
$gCaptcha = _v($_GET, 'captcha');

if(ConfigFactory::load("captcha")->$controller) {
	if(empty($sCaptcha) or empty($gCaptcha) or $sCaptcha != $gCaptcha) {
		echo Response::run(array("error"=>"کد امنیتی اشتباه است"));
		exit(0);
	}
}

if(!checkDomain($domain)) {
	echo Response::run(array("error"=>"فرمت دامین صحیح نیست !"));
	exit(0);
}

$ip = gethostbyname($domain);
$long = ip2long($ip);

if($long == -1 OR $long === FALSE) {
	echo Response::run(array("error"=>sprintf('هاستی برای دامین %s یافت نشد !', $domain)));
	exit(0);
}

if($table && $data = Model::select($table, $domain)) {
	if(time() - strtotime($data['Modified']) > ConfigFactory::load("cache")->$controller) {
		$data = call_user_func($controller."update", $domain, $ip);
	}
} else {
	$data = call_user_func($controller."insert", $domain, $ip);
}

ob_start();
include ROOT."tmpl".DS."service".DS.$controller."_result.php";
$content = ob_get_contents();
ob_end_clean();
echo Response::run(array("html"=>$content));
exit(0);