<script type="text/javascript">
$(document).ready(function(){
	var date = new Date();
	now();
	$('input[name="unix-human"]').val(gettimestamp());
	$('input[name="month"]').val(date.getMonth() + 1);
	$('input[name="day"]').val(date.getDate());
	$('input[name="year"]').val(date.getFullYear());
	$('input[name="hour"]').val(date.getHours());
	$('input[name="min"]').val(date.getMinutes());
	$('input[name="sec"]').val(date.getSeconds());
	$('input[name="rfc-2822"]').val(date.toGMTString());
});
</script>


<div class="form-area thumbnail">
<div class="error alert alert-error"></div>

<table class="table table-striped table-condensed">
<thead>
<tr>
<th style="font:9pt tahoma;">زمان قابل خواندن توسط انسان</th>
<th style="font:9pt tahoma;">ثانیه ها</th>
</tr>
</thead>
<tbody>
<tr><td>1 دقیقه</td><td align="right">60 ثانیه</td></tr>
<tr><td>1 ساعت</td><td align="right">3600 ثانیه</td></tr>
<tr><td>1 روز</td><td align="right">86400 ثانیه</td></tr>
<tr><td>1 هفته</td><td align="right">604800 ثانیه</td></tr>
<tr><td>1 ماه (30.44 روز)&nbsp;</td><td align="right">2629743 ثانیه</td></tr>
<tr><td>1 سال (365.24 روز)&nbsp;</td><td align="right">&nbsp;31556926 ثانیه</td></tr></tbody></table>

<hr />
<p>زمان یونیکس اکنون : <span id="now"></span></p>
<button class="btn btn-mini" type="button" id="start" onclick="startClock()" style="font:9pt tahoma;padding:6px;">شروع</button>
<button class="btn btn-mini" type="button" id="stop" onclick="stopClock()" style="font:9pt tahoma;padding:6px;">پایان</button>
<button class="btn btn-mini" type="button" id="refresh" onclick="now()" style="font:9pt tahoma;padding:6px;">ریست</button>

<hr/>
<p>تبدیل زمان یونیکس به زمان قابل خواندن برای انسان ها : </p>
<div class="input-append">
<input style=" border-radius:0px 5px 5px 0px; font:9pt tahoma;" type="text" name="unix-human" value="">
<input style=" border-radius:5px 0px 0px 5px; font:9pt tahoma; padding:7px;" type="button" class="btn" id="unix-human"  onclick="unixhuman()" value="تبدیل">
</div>
<br/>
<div style="display:none;" id="unix-human-div">
<p>
جی ام تی : <span id="gmt"></span> <br/>
منطقه زمانی شما : <span id="timezone"></span>
</p>
</div>

<hr />
<p>تبدیل زمان انسان ها به زمان یونیکس : </p>

<table>
<tr>
<td>ماه</td>
<td>روز</td>
<td>سال</td>
<td>ساعت</td>
<td>دقیقه</td>
<td>ثانیه</td>
</tr>

<tr>
<td><input type="text" name="month" class="input-mini" maxlength=2> / </td>
<td><input type="text" name="day" class="input-mini" maxlength=2> / </td>
<td><input type="text" name="year" class="input-mini" maxlength=5>&nbsp;&nbsp;</td>
<td><input type="text" name="hour" class="input-mini" maxlength=2> : </td>
<td><input type="text" name="min" class="input-mini" maxlength=2> : </td>
<td><input type="text" name="sec" class="input-mini" maxlength=2>&nbsp;&nbsp;</td>
<td><input type="button" class="btn" id="unix-human" style="margin:0 10px 10px 0;font:9pt tahoma; padding:7px;" onclick="humanunix()" value="تبدیل"></td>
</tr>
</table>

<div style="display:none;" id="human-unix-div">
<p>
زمان یونیکس : <span id="epoch-timestamp"></span><br/>
زمان قابل خواندن برای انسان ها : <span id="utc-date"></span>
</p>
</div>

<hr/>
<p>فرمت تاریخ : The RFC 2822</strong></p>
<div class="input-append">
<input type="text" name="rfc-2822" style=" border-radius:0px 5px 5px 0px; font:9pt tahoma;" class="input-xlarge">
<input type="button" class="btn" id="to-rfc-2822"  onclick="torfc()" style="border-radius:5px 0px 0px 5px;font:9pt tahoma; padding:7px;" value="تبدیل">
</div>
<br/>
<div style="display:none;" id="rfc-div">
<p>
دوره زمانی : <span id="rfc-timestamp"></span><br/>
</p>
</div>

<hr/>
<p>تبدیل ثانیه ها به روز و ساعت و دقیقه :</p>
<div class="input-append">
<input type="text" name="sec-format" style=" border-radius:0px 5px 5px 0px; font:9pt tahoma;" value="90061">
<input type="button" class="btn" id="sec-format" onclick="secformat()" style="border-radius:5px 0px 0px 5px;font:9pt tahoma; padding:7px;" value="تبدیل">
</div>
<br/>
<div style="display:none;" id="sec-format-div">
<p>
<span id="dd"></span> روز, <span id="hh"></span> ساعت, <span id="mm"></span> دقیقه <span id="ss"></span> ثانیه.
</p>
</div>

<br/>

</div>